package de.intevation.flys.client.client;

import com.google.gwt.i18n.client.ConstantsWithLookup;


/**
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public interface FLYSConstants extends ConstantsWithLookup {

    String unexpected_exception();

    String title();

    String fullname();

    String user();

    String guest();

    String projects();

    String open_project();

    String delete_project();

    String rename_project();

    String clone_project();

    String copy_of ();

    String manage_projects();

    String favorite_tooltip();

    String favorite_tooltip_meaning();

    String projectlist_creationTime();

    String projectlist_title();

    String projectlist_favorite();

    String really_delete();

    String project_name_too_long();

    String logout();

    String switch_language();

    String info();

    String warning();

    String warning_language();

    String no_projects();

    String load_projects();

    String empty_table();

    String empty_filter();

    String date_format();

    String datetime_format();

    String new_project();

    String new_calculation();

    String module_selection();

    String river_selection();

    String winfo();

    String minfo();

    String map();

    String new_map();

    String new_chart();

    String diagram();

    String axes();

    String legend();

    String chart_title();

    String chart_subtitle();

    String grid();

    String antialiasing();

    String axis_name();

    String chart_start();

    String chart_end();

    String x_axis();

    String y1_axis();

    String y2_axis();

    String y3_axis();

    String legend_name();

    String show_legend();

    String aggregation_threshold();

    String scale();

    String databasket();

    String databasket_loading();

    String theme_top();

    String theme_up();

    String theme_down();

    String theme_bottom();

    String zoom_all();

    String zoom_in();

    String zoom_out();

    String zoom_back();

    String properties_ico();

    String pan();

    String askThemeRemove();

    String fix();

    String fixanalysis();

    String next();

    String river_km();

    String uesk_profile_distance();

    String location_distance_state();

    String distance_state();

    String waterlevel_ground_state();

    String location();

    String locations();

    String distance();

    String unitFrom();

    String unitTo();

    String dpLabelFrom();

    String dpUnitFrom();

    String dpLabelTo();

    String dpUnitTo();

    String dpLabelStep();

    String dpUnitStep();

    String wgLabelFrom();

    String wgUnitFrom();

    String wgLabelTo();

    String wgUnitTo();

    String wgLabelStep();

    String wgUnitStep();

    String unitWidth();

    String unitFromInM();

    String unitToInM();

    String unitDiffInM();

    String unitLocation();

    String wrongFormat();

    String atLeastOneValue();

    String missingInput();

    String too_many_values ();

    String from();

    String to();

    String riverside();

    String calcTableTitle();

    String helperPanelTitle();

    String wqTitle();

    String wqadaptedTitle();

    String wqHistorical();

    String unitWNN();

    String wqWFree();

    String wqW();

    String wqQ();

    String wqQGauge();

    String wqSingle();

    String wqRange();

    String unitWSingle();

    String unitWFrom();

    String unitWTo();

    String unitWStep();

    String unitQSingle();

    String unitQFrom();

    String unitQTo();

    String unitQStep();

    String footerHome();

    String footerContact();

    String footerImpressum();

    String buttonNext();

    String imageBack();

    String imageSave();

    String search();

    String properties();

    String activateTheme();

    String deactivateTheme();

    String removeTheme();

    String label_ok();

    String label_cancel();

    String cancelCalculationLabel();

    String calculationCanceled();

    String flysLogo();

    String bfgLogo();

    String downloadPNG();

    String downloadPDF();

    String downloadSVG();

    String downloadCSV();

    String loadingImg();

    String cancelCalculation();

    String markerRed();

    String markerGreen();

    String riverMap();

    String range();

    String description();

    String resultCount();

    String start_year();

    String end_year();

    String period();

    String gauge_class();

    String eventselect();

    String events();

    String kmchart();

    // Elevation window

    String ele_window_title();

    String ele_window_label();

    String ele_window_x_col();

    String ele_window_y_col();

    String ele_window_z_col();

    String ele_window_ok_button();

    String ele_window_cancel_button();

    String ele_window_format_error();

    String ele_window_save_error();

    String ele_window_geometry_error();

    // OUTPUT TYPES

    String discharge_curve();

    String computed_discharge_curve();

    String computed_discharge_curves();

    String longitudinal_section();

    String duration_curve();

    String reference_curve();

    String reference_curve_normalized();

    String reference_endpoint();

    String reference_startpoint();

    String name();

    String type();

    String wq_table_w();

    String wq_table_q();

    String wq_value_w();

    String wq_value_q();

    String discharge_longitudinal_section();

    String floodmap();

    String cross_section();

    String cross_sections();

    String w_differences();

    String historical_discharge();

    // EXPORTS

    String waterlevel_export();

    String waterlevel_report();

    String computed_dischargecurve_at_export();

    String discharge_longitudinal_section_export();

    String discharge_longitudinal_section_report();

    String computed_dischargecurve_export();

    String computed_dischargecurve_report();

    String durationcurve_export();

    String durationcurve_report();

    String dataexport();

    String reference_curve_export();

    String w_differences_export();

    String historical_discharge_export();

    String csv();

    String wst();

    String at();

    String pdf();

    String chart_themepanel_header_themes();

    String chart_themepanel_header_actions();

    String chart_themepanel_synchron();

    String chart_themepanel_asynchron();

    String chart_themepanel_set_master();

    String chart_themepanel_new_area();

    String chart_themepanel_area_under();

    String chart_themepanel_area_over();

    String chart_themepanel_area_between();

    String against_x_axis();

    String discharge();

    String flow_velocity();

    String flow_velocity_export();

    // ERRORS

    String error_read_minmax_values();

    String error_validate_range();

    String error_validate_date_range();

    String error_validate_lower_range();

    String error_validate_upper_range();

    String error_create_artifact();

    String error_describe_artifact();

    String error_feed_data();

    String error_advance_artifact();

    String error_add_artifact();

    String error_remove_artifact();

    String error_create_collection();

    String error_describe_collection();

    String error_no_rivers_found();

    String error_no_such_user();

    String error_no_waterlevel_pair_selected();

    String error_same_waterlevels_in_pair();

    String error_not_logged_in();

    String error_load_parameterization();

    String error_feed_no_data();

    String error_feed_from_out_of_range();

    String error_feed_to_out_of_range();

    String error_feed_from_bigger_to();

    String error_feed_invalid_wq_mode();

    String error_feed_number_format_float();

    String error_feed_invalid_calculation_mode();

    String error_feed_no_calculation_mode();

    String error_feed_no_such_river();

    String error_feed_no_river_selected();

    String error_feed_no_wq_mode_selected();

    String error_feed_q_values_invalid();

    String error_feed_w_values_invalid();

    String error_no_meta_data_found();

    String error_chart_info_service();

    String error_invalid_double_value();

    String error_load_artifact();

    String error_no_calc_result();

    String error_no_theme_styles_found();

    String error_no_feature_selected();

    String error_no_map_config();

    String error_no_map_output_type();

    String warning_use_first_feature();

    String error_no_valid_gfi_url();

    String error_gfi_req_failed();

    String error_gfi_parsing_failed();

    String error_gc_req_failed();

    String error_gc_doc_not_valid();

    String error_malformed_url();

    String error_no_dgm_selected();

    String error_invalid_dgm_selected();

    String error_bad_dgm_range();

    String error_bad_dgm_river();

    String error_dialog_not_valid();

    String error_invalid_date();

    String error_wrong_date();

    String bottom_edge();

    String top_edge();

    // MAP RELATED STRINGS

    String digitize();

    String pipe1();

    String pipe2();

    String ditch();

    String dam();

    String ring_dike();

    String selectFeature();

    String removeFeature();

    String getFeatureInfo();

    String getFeatureInfoTooltip();

    String getFeatureInfoWindowTitle();

    String addWMS();

    String addWMSTooltip();

    String adjustElevation();

    String adjustElevationTooltip();

    String measureLine();

    String measurePolygon();

    String step();

    String calculationStarted();

    String zoomMaxExtent();

    String zoomIn();

    String zoomOut();

    String zoomLayer();

    String moveMap();

    String digitizeObjects();

    String selectObject();

    String removeObject();

    String measureDistance();

    String measureArea();

    String map_themepanel_header_style();

    String zoomToLayer();

    String requireDGM();

    String upload_file();

    String shape_file_upload();

    // data cage

    String waterlevels();

    String old_calculations();

    String datacageAdd();

    String fixations();

    String flood_protections();

    String columns();

    String basedata();

    String heightmarks();

    String annotation();

    String additionals();

    String differences();

    String kilometrage();

    String riveraxis();

    String km();

    String qps();

    String hws();

    String catchments();

    String floodplain();

    String lines();

    String buildings();

    String fixpoints();

    String uesk();

    String calculations();

    String current();

    String bfg();

    String land();

    String potentiel();

    String rastermap();

    String background();

    String discharge_table_nn();

    String discharge_table_gauge();

    String mainvalue();

    String dems();

    // Capabilities Information Panel

    String addwmsInputTitle();

    String addwmsInfoTitle();

    String addwmsLayerTitle();

    String addwmsBack();

    String addwmsContinue();

    String addwmsCancel();

    String addwmsInvalidURL();

    String capabilitiesHint();

    String capabilitiesTitle();

    String capabilitiesURL();

    String capabilitiesAccessConstraints();

    String capabilitiesFees();

    String capabilitiesContactInformation();

    String capabilitiesEmail();

    String capabilitiesPhone();

    String chart();

    String export();

    String width();

    String height();

    String visibility();

    String upper();

    String lower();

    String fixation();

    String font_size();

    String label();

    String subtitle();

    String display_grid();

    String linetype();

    String textstyle();

    String linecolor();

    String textcolor();

    String textsize();

    String font();

    String showborder();

    String showpoints();

    String showbackground();

    String backgroundcolor();

    String textorientation();

    String linesize();

    String pointsize();

    String showlines();

    String showlinelabel();

    String linelabelfont();

    String linelabelcolor();

    String linelabelsize();

    String linelabelstyle();

    String linelabelbgcolor();

    String linelabelshowbg();

    String showwidth();

    String showlevel();

    String showminimum();

    String showmaximum();

    String transparent();

    String showarea();

    String showmiddleheight();

    String fillcolor();

    String wsplgen_cat1();

    String wsplgen_cat2();

    String wsplgen_cat3();

    String wsplgen_cat4();

    String wsplgen_cat5();

    // Manual Points editor

    String addpoints();
    
    String pointname();

    String removepoint();

    String newpoint();

    String standby();

    String points();

    String editpoints();

    String selection();
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
